### Constructor

# Gsk GLShader new_from_resource

#### Declaration [src]

    GskGLShader*
    gsk_gl_shader_new_from_resource (
      const char* resource_path
    )

#### Description [src]

Creates a `GskGLShader` that will render pixels using the specified code.

#### Parameters

`resource_path` | `const char*`
| Path to a resource that contains the GLSL sourcecode for the shader.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GskGLShader`
| A new `GskGLShader`.
| The caller of the function takes ownership of the data, and is responsible for freeing it.